Index: /trunk/doc/Flair/search/functions_d.js
===================================================================
--- /trunk/doc/Flair/search/functions_d.js	(revision 55)
+++ /trunk/doc/Flair/search/functions_d.js	(revision 56)
@@ -88,5 +88,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget']]],
-  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()']]],
+  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
Index: /trunk/doc/Flair/search/functions_e.js
===================================================================
--- /trunk/doc/Flair/search/functions_e.js	(revision 55)
+++ /trunk/doc/Flair/search/functions_e.js	(revision 56)
@@ -30,5 +30,5 @@
   ['oncanvas',['onCanvas',['http://qt-project.org/doc/qt-4.8/q3canvas.html#onCanvas',0,'Q3Canvas::onCanvas(int x, int y) const'],['http://qt-project.org/doc/qt-4.8/q3canvas.html#onCanvas-2',0,'Q3Canvas::onCanvas(const QPoint &amp;p) const']]],
   ['oncard',['onCard',['http://qt-project.org/doc/qt-4.8/qproxyscreen.html#onCard',0,'QProxyScreen::onCard(const unsigned char *ptr) const'],['http://qt-project.org/doc/qt-4.8/qproxyscreen.html#onCard-2',0,'QProxyScreen::onCard(const unsigned char *ptr, ulong &amp;offset) const'],['http://qt-project.org/doc/qt-4.8/qscreen.html#onCard',0,'QScreen::onCard(const unsigned char *buffer) const'],['http://qt-project.org/doc/qt-4.8/qscreen.html#onCard-2',0,'QScreen::onCard(const unsigned char *buffer, ulong &amp;offset) const']]],
-  ['oneaxisrotation',['OneAxisRotation',['../classflair_1_1core_1_1_one_axis_rotation.html#ae690cdd68274085cdad88fb990739ba2',1,'flair::core::OneAxisRotation']]],
+  ['oneaxisrotation',['OneAxisRotation',['../classflair_1_1core_1_1_one_axis_rotation.html#a85a24d18b48761166caa4f037b13ebb4',1,'flair::core::OneAxisRotation']]],
   ['onentry',['onEntry',['http://qt-project.org/doc/qt-4.8/qhistorystate.html#onEntry',0,'QHistoryState::onEntry()'],['http://qt-project.org/doc/qt-4.8/qabstractstate.html#onEntry',0,'QAbstractState::onEntry()'],['http://qt-project.org/doc/qt-4.8/qstate.html#onEntry',0,'QState::onEntry()'],['http://qt-project.org/doc/qt-4.8/qstatemachine.html#onEntry',0,'QStateMachine::onEntry()'],['http://qt-project.org/doc/qt-4.8/qfinalstate.html#onEntry',0,'QFinalState::onEntry()']]],
   ['onexit',['onExit',['http://qt-project.org/doc/qt-4.8/qhistorystate.html#onExit',0,'QHistoryState::onExit()'],['http://qt-project.org/doc/qt-4.8/qabstractstate.html#onExit',0,'QAbstractState::onExit()'],['http://qt-project.org/doc/qt-4.8/qstate.html#onExit',0,'QState::onExit()'],['http://qt-project.org/doc/qt-4.8/qstatemachine.html#onExit',0,'QStateMachine::onExit()'],['http://qt-project.org/doc/qt-4.8/qfinalstate.html#onExit',0,'QFinalState::onExit()']]],
Index: /trunk/doc/Flair/search/searchdata.js
===================================================================
--- /trunk/doc/Flair/search/searchdata.js	(revision 55)
+++ /trunk/doc/Flair/search/searchdata.js	(revision 56)
@@ -8,5 +8,5 @@
   5: "abcdefghiklmnopqrstvwxyz",
   6: "t",
-  7: "cflmnptu",
+  7: "cflmnprtu",
   8: "abdefgijlmnpqrstuvwxy",
   9: "abcdefghiklmnopqrstuvwxyz"
Index: /trunk/include/FlairCore/OneAxisRotation.h
===================================================================
--- /trunk/include/FlairCore/OneAxisRotation.h	(revision 55)
+++ /trunk/include/FlairCore/OneAxisRotation.h	(revision 56)
@@ -37,5 +37,13 @@
 */
 class OneAxisRotation : public gui::GroupBox {
-public:
+  public:
+  /*!
+  \enum RotationType_t
+  \brief rotation type
+  */
+  enum RotationType_t {
+    PreRotation,//rotation
+    PostRotation//frame change
+  };
   /*!
   * \brief Constructor
@@ -46,5 +54,5 @@
   * \param name name
   */
-  OneAxisRotation(const gui::LayoutPosition *position, std::string namel);
+  OneAxisRotation(const gui::LayoutPosition *position, std::string name,RotationType_t rotationType);
 
   /*!
Index: /trunk/include/FlairSensorActuator/SimuImu.h
===================================================================
--- /trunk/include/FlairSensorActuator/SimuImu.h	(revision 55)
+++ /trunk/include/FlairSensorActuator/SimuImu.h	(revision 56)
@@ -94,4 +94,10 @@
     float wy;
     float wz;
+    float ax;
+    float ay;
+    float az;
+    float mx;
+    float my;
+    float mz;
   } imu_states_t;
   
